Adding upstream version 0.3.2.
[debian/lxrandr.git] / Makefile.in
CommitLineData
5723eb8f 1# Makefile.in generated by automake 1.15 from Makefile.am.
e96a0ec2
DB
2# @configure_input@
3
5723eb8f 4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
d08e9a0e 5
e96a0ec2
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
e96a0ec2 16VPATH = @srcdir@
5723eb8f
AG
17am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27}
d08e9a0e
AG
28am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
e96a0ec2 72pkgdatadir = $(datadir)/@PACKAGE@
e96a0ec2 73pkgincludedir = $(includedir)/@PACKAGE@
d5f1e565
DB
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
e96a0ec2
DB
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88subdir = .
e96a0ec2 89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
5723eb8f
AG
90am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
91 $(top_srcdir)/configure.ac
e96a0ec2
DB
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93 $(ACLOCAL_M4)
5723eb8f
AG
94DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95 $(am__configure_deps) $(am__DIST_COMMON)
e96a0ec2
DB
96am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
d5f1e565 98mkinstalldirs = $(install_sh) -d
e96a0ec2 99CONFIG_HEADER = config.h
e70c902e 100CONFIG_CLEAN_FILES =
d5f1e565 101CONFIG_CLEAN_VPATH_FILES =
d08e9a0e
AG
102AM_V_P = $(am__v_P_@AM_V@)
103am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104am__v_P_0 = false
105am__v_P_1 = :
106AM_V_GEN = $(am__v_GEN_@AM_V@)
107am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108am__v_GEN_0 = @echo " GEN " $@;
109am__v_GEN_1 =
110AM_V_at = $(am__v_at_@AM_V@)
111am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
e70c902e 112am__v_at_0 = @
d08e9a0e 113am__v_at_1 =
e96a0ec2
DB
114SOURCES =
115DIST_SOURCES =
d08e9a0e
AG
116RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117 ctags-recursive dvi-recursive html-recursive info-recursive \
118 install-data-recursive install-dvi-recursive \
119 install-exec-recursive install-html-recursive \
120 install-info-recursive install-pdf-recursive \
121 install-ps-recursive install-recursive installcheck-recursive \
122 installdirs-recursive pdf-recursive ps-recursive \
123 tags-recursive uninstall-recursive
124am__can_run_installinfo = \
125 case $$AM_UPDATE_INFO_DIR in \
126 n|no|NO) false;; \
127 *) (install-info --version) >/dev/null 2>&1;; \
128 esac
e96a0ec2
DB
129RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130 distclean-recursive maintainer-clean-recursive
d08e9a0e
AG
131am__recursive_targets = \
132 $(RECURSIVE_TARGETS) \
133 $(RECURSIVE_CLEAN_TARGETS) \
134 $(am__extra_recursive_targets)
135AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136 cscope distdir dist dist-all distcheck
137am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
138 $(LISP)config.h.in
139# Read a list of newline-separated strings from the standard input,
140# and print each of them once, without duplicates. Input order is
141# *not* preserved.
142am__uniquify_input = $(AWK) '\
143 BEGIN { nonempty = 0; } \
144 { items[$$0] = 1; nonempty = 1; } \
145 END { if (nonempty) { for (i in items) print i; }; } \
146'
147# Make sure the list of sources is unique. This is necessary because,
148# e.g., the same source file might be shared among _SOURCES variables
149# for different programs/libraries.
150am__define_uniq_tagged_files = \
151 list='$(am__tagged_files)'; \
152 unique=`for i in $$list; do \
153 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154 done | $(am__uniquify_input)`
e96a0ec2
DB
155ETAGS = etags
156CTAGS = ctags
d08e9a0e 157CSCOPE = cscope
e96a0ec2 158DIST_SUBDIRS = $(SUBDIRS)
5723eb8f
AG
159am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
160 COPYING ChangeLog NEWS README compile install-sh missing
e96a0ec2
DB
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162distdir = $(PACKAGE)-$(VERSION)
163top_distdir = $(distdir)
164am__remove_distdir = \
d08e9a0e
AG
165 if test -d "$(distdir)"; then \
166 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -rf "$(distdir)" \
168 || { sleep 5 && rm -rf "$(distdir)"; }; \
169 else :; fi
170am__post_remove_distdir = $(am__remove_distdir)
d5f1e565
DB
171am__relativize = \
172 dir0=`pwd`; \
173 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174 sed_rest='s,^[^/]*/*,,'; \
175 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176 sed_butlast='s,/*[^/]*$$,,'; \
177 while test -n "$$dir1"; do \
178 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179 if test "$$first" != "."; then \
180 if test "$$first" = ".."; then \
181 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183 else \
184 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185 if test "$$first2" = "$$first"; then \
186 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187 else \
188 dir2="../$$dir2"; \
189 fi; \
190 dir0="$$dir0"/"$$first"; \
191 fi; \
192 fi; \
193 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194 done; \
195 reldir="$$dir2"
e96a0ec2 196GZIP_ENV = --best
d08e9a0e
AG
197DIST_ARCHIVES = $(distdir).tar.xz
198DIST_TARGETS = dist-xz
e96a0ec2 199distuninstallcheck_listfiles = find . -type f -print
d08e9a0e
AG
200am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
e96a0ec2
DB
202distcleancheck_listfiles = find . -type f -print
203ACLOCAL = @ACLOCAL@
e70c902e
DB
204ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
205ALL_LINGUAS = @ALL_LINGUAS@
e96a0ec2 206AMTAR = @AMTAR@
e70c902e 207AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
e96a0ec2
DB
208AUTOCONF = @AUTOCONF@
209AUTOHEADER = @AUTOHEADER@
210AUTOMAKE = @AUTOMAKE@
211AWK = @AWK@
212CATALOGS = @CATALOGS@
213CATOBJEXT = @CATOBJEXT@
214CC = @CC@
215CCDEPMODE = @CCDEPMODE@
216CFLAGS = @CFLAGS@
217CPP = @CPP@
218CPPFLAGS = @CPPFLAGS@
219CYGPATH_W = @CYGPATH_W@
220DATADIRNAME = @DATADIRNAME@
221DEFS = @DEFS@
222DEPDIR = @DEPDIR@
223ECHO_C = @ECHO_C@
224ECHO_N = @ECHO_N@
225ECHO_T = @ECHO_T@
226EGREP = @EGREP@
227EXEEXT = @EXEEXT@
228GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
229GMOFILES = @GMOFILES@
230GMSGFMT = @GMSGFMT@
231GREP = @GREP@
232GTK_CFLAGS = @GTK_CFLAGS@
233GTK_LIBS = @GTK_LIBS@
234INSTALL = @INSTALL@
235INSTALL_DATA = @INSTALL_DATA@
236INSTALL_PROGRAM = @INSTALL_PROGRAM@
237INSTALL_SCRIPT = @INSTALL_SCRIPT@
238INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
239INSTOBJEXT = @INSTOBJEXT@
240INTLLIBS = @INTLLIBS@
e70c902e
DB
241INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
242INTLTOOL_MERGE = @INTLTOOL_MERGE@
243INTLTOOL_PERL = @INTLTOOL_PERL@
244INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
d08e9a0e
AG
245INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
246INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
247INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
248INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
e96a0ec2
DB
249LDFLAGS = @LDFLAGS@
250LIBOBJS = @LIBOBJS@
251LIBS = @LIBS@
252LTLIBOBJS = @LTLIBOBJS@
253MAINT = @MAINT@
254MAKEINFO = @MAKEINFO@
255MKDIR_P = @MKDIR_P@
256MKINSTALLDIRS = @MKINSTALLDIRS@
257MSGFMT = @MSGFMT@
258MSGFMT_OPTS = @MSGFMT_OPTS@
e70c902e 259MSGMERGE = @MSGMERGE@
e96a0ec2
DB
260OBJEXT = @OBJEXT@
261PACKAGE = @PACKAGE@
262PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
263PACKAGE_NAME = @PACKAGE_NAME@
264PACKAGE_STRING = @PACKAGE_STRING@
265PACKAGE_TARNAME = @PACKAGE_TARNAME@
e70c902e 266PACKAGE_URL = @PACKAGE_URL@
e96a0ec2
DB
267PACKAGE_VERSION = @PACKAGE_VERSION@
268PATH_SEPARATOR = @PATH_SEPARATOR@
269PKG_CONFIG = @PKG_CONFIG@
e70c902e
DB
270PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
271PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
e96a0ec2
DB
272POFILES = @POFILES@
273POSUB = @POSUB@
274PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
275PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
276SET_MAKE = @SET_MAKE@
277SHELL = @SHELL@
278STRIP = @STRIP@
279USE_NLS = @USE_NLS@
280VERSION = @VERSION@
281XGETTEXT = @XGETTEXT@
d5f1e565
DB
282XMLCATALOG = @XMLCATALOG@
283XML_CATALOG_FILE = @XML_CATALOG_FILE@
284XSLTPROC = @XSLTPROC@
e96a0ec2
DB
285abs_builddir = @abs_builddir@
286abs_srcdir = @abs_srcdir@
287abs_top_builddir = @abs_top_builddir@
288abs_top_srcdir = @abs_top_srcdir@
289ac_ct_CC = @ac_ct_CC@
290am__include = @am__include@
291am__leading_dot = @am__leading_dot@
292am__quote = @am__quote@
293am__tar = @am__tar@
294am__untar = @am__untar@
295bindir = @bindir@
296build_alias = @build_alias@
297builddir = @builddir@
298datadir = @datadir@
299datarootdir = @datarootdir@
300docdir = @docdir@
301dvidir = @dvidir@
302exec_prefix = @exec_prefix@
303host_alias = @host_alias@
304htmldir = @htmldir@
305includedir = @includedir@
306infodir = @infodir@
307install_sh = @install_sh@
d08e9a0e
AG
308intltool__v_merge_options_ = @intltool__v_merge_options_@
309intltool__v_merge_options_0 = @intltool__v_merge_options_0@
e96a0ec2
DB
310libdir = @libdir@
311libexecdir = @libexecdir@
312localedir = @localedir@
313localstatedir = @localstatedir@
314mandir = @mandir@
315mkdir_p = @mkdir_p@
316oldincludedir = @oldincludedir@
317pdfdir = @pdfdir@
318prefix = @prefix@
319program_transform_name = @program_transform_name@
320psdir = @psdir@
5723eb8f 321runstatedir = @runstatedir@
e96a0ec2
DB
322sbindir = @sbindir@
323sharedstatedir = @sharedstatedir@
324srcdir = @srcdir@
325sysconfdir = @sysconfdir@
326target_alias = @target_alias@
d5f1e565 327top_build_prefix = @top_build_prefix@
e96a0ec2
DB
328top_builddir = @top_builddir@
329top_srcdir = @top_srcdir@
f3e98bba 330ACLOCAL_AMFLAGS = -I .
cdce278f
AG
331SUBDIRS = src po data
332EXTRA_DIST = autogen.sh
e96a0ec2
DB
333all: config.h
334 $(MAKE) $(AM_MAKEFLAGS) all-recursive
335
336.SUFFIXES:
d08e9a0e 337am--refresh: Makefile
e96a0ec2
DB
338 @:
339$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
340 @for dep in $?; do \
341 case '$(am__configure_deps)' in \
342 *$$dep*) \
e70c902e
DB
343 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
344 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
e96a0ec2
DB
345 && exit 0; \
346 exit 1;; \
347 esac; \
348 done; \
e70c902e 349 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
d5f1e565 350 $(am__cd) $(top_srcdir) && \
e70c902e 351 $(AUTOMAKE) --foreign Makefile
e96a0ec2
DB
352Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
353 @case '$?' in \
354 *config.status*) \
355 echo ' $(SHELL) ./config.status'; \
356 $(SHELL) ./config.status;; \
357 *) \
358 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
359 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
360 esac;
361
362$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
363 $(SHELL) ./config.status --recheck
364
365$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
d5f1e565 366 $(am__cd) $(srcdir) && $(AUTOCONF)
e96a0ec2 367$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
d5f1e565
DB
368 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
369$(am__aclocal_m4_deps):
e96a0ec2
DB
370
371config.h: stamp-h1
d08e9a0e
AG
372 @test -f $@ || rm -f stamp-h1
373 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
e96a0ec2
DB
374
375stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
376 @rm -f stamp-h1
377 cd $(top_builddir) && $(SHELL) ./config.status config.h
378$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
d5f1e565 379 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
e96a0ec2
DB
380 rm -f stamp-h1
381 touch $@
382
383distclean-hdr:
384 -rm -f config.h stamp-h1
e96a0ec2
DB
385
386# This directory's subdirectories are mostly independent; you can cd
d08e9a0e
AG
387# into them and run 'make' without going through this Makefile.
388# To change the values of 'make' variables: instead of editing Makefiles,
389# (1) if the variable is set in 'config.status', edit 'config.status'
390# (which will cause the Makefiles to be regenerated when you run 'make');
391# (2) otherwise, pass the desired values on the 'make' command line.
392$(am__recursive_targets):
393 @fail=; \
394 if $(am__make_keepgoing); then \
395 failcom='fail=yes'; \
396 else \
397 failcom='exit 1'; \
398 fi; \
e96a0ec2
DB
399 dot_seen=no; \
400 target=`echo $@ | sed s/-recursive//`; \
d08e9a0e
AG
401 case "$@" in \
402 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
403 *) list='$(SUBDIRS)' ;; \
404 esac; \
405 for subdir in $$list; do \
e96a0ec2
DB
406 echo "Making $$target in $$subdir"; \
407 if test "$$subdir" = "."; then \
408 dot_seen=yes; \
409 local_target="$$target-am"; \
410 else \
411 local_target="$$target"; \
412 fi; \
d5f1e565 413 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
e96a0ec2
DB
414 || eval $$failcom; \
415 done; \
416 if test "$$dot_seen" = "no"; then \
417 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
418 fi; test -z "$$fail"
419
d08e9a0e
AG
420ID: $(am__tagged_files)
421 $(am__define_uniq_tagged_files); mkid -fID $$unique
422tags: tags-recursive
423TAGS: tags
e96a0ec2 424
d08e9a0e 425tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
d5f1e565 426 set x; \
e96a0ec2
DB
427 here=`pwd`; \
428 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
429 include_option=--etags-include; \
430 empty_fix=.; \
431 else \
432 include_option=--include; \
433 empty_fix=; \
434 fi; \
435 list='$(SUBDIRS)'; for subdir in $$list; do \
436 if test "$$subdir" = .; then :; else \
437 test ! -f $$subdir/TAGS || \
d5f1e565 438 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
e96a0ec2
DB
439 fi; \
440 done; \
d08e9a0e 441 $(am__define_uniq_tagged_files); \
d5f1e565
DB
442 shift; \
443 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
e96a0ec2 444 test -n "$$unique" || unique=$$empty_fix; \
d5f1e565
DB
445 if test $$# -gt 0; then \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 "$$@" $$unique; \
448 else \
449 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450 $$unique; \
451 fi; \
e96a0ec2 452 fi
d08e9a0e
AG
453ctags: ctags-recursive
454
455CTAGS: ctags
456ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457 $(am__define_uniq_tagged_files); \
d5f1e565 458 test -z "$(CTAGS_ARGS)$$unique" \
e96a0ec2 459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
d5f1e565 460 $$unique
e96a0ec2
DB
461
462GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
d5f1e565
DB
464 && $(am__cd) $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) "$$here"
d08e9a0e
AG
466cscope: cscope.files
467 test ! -s cscope.files \
468 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
469clean-cscope:
470 -rm -f cscope.files
471cscope.files: clean-cscope cscopelist
472cscopelist: cscopelist-recursive
473
474cscopelist-am: $(am__tagged_files)
475 list='$(am__tagged_files)'; \
476 case "$(srcdir)" in \
477 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
478 *) sdir=$(subdir)/$(srcdir) ;; \
479 esac; \
480 for i in $$list; do \
481 if test -f "$$i"; then \
482 echo "$(subdir)/$$i"; \
483 else \
484 echo "$$sdir/$$i"; \
485 fi; \
486 done >> $(top_builddir)/cscope.files
e96a0ec2
DB
487
488distclean-tags:
489 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
d08e9a0e 490 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
e96a0ec2
DB
491
492distdir: $(DISTFILES)
493 $(am__remove_distdir)
d5f1e565 494 test -d "$(distdir)" || mkdir "$(distdir)"
e96a0ec2
DB
495 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
496 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
497 list='$(DISTFILES)'; \
498 dist_files=`for file in $$list; do echo $$file; done | \
499 sed -e "s|^$$srcdirstrip/||;t" \
500 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
501 case $$dist_files in \
502 */*) $(MKDIR_P) `echo "$$dist_files" | \
503 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
504 sort -u` ;; \
505 esac; \
506 for file in $$dist_files; do \
507 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
508 if test -d $$d/$$file; then \
509 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
d5f1e565
DB
510 if test -d "$(distdir)/$$file"; then \
511 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
512 fi; \
e96a0ec2 513 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
d5f1e565
DB
514 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
e96a0ec2 516 fi; \
d5f1e565 517 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
e96a0ec2 518 else \
d5f1e565
DB
519 test -f "$(distdir)/$$file" \
520 || cp -p $$d/$$file "$(distdir)/$$file" \
e96a0ec2
DB
521 || exit 1; \
522 fi; \
523 done
d5f1e565 524 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
e96a0ec2 525 if test "$$subdir" = .; then :; else \
d08e9a0e
AG
526 $(am__make_dryrun) \
527 || test -d "$(distdir)/$$subdir" \
528 || $(MKDIR_P) "$(distdir)/$$subdir" \
529 || exit 1; \
d5f1e565
DB
530 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
531 $(am__relativize); \
532 new_distdir=$$reldir; \
533 dir1=$$subdir; dir2="$(top_distdir)"; \
534 $(am__relativize); \
535 new_top_distdir=$$reldir; \
536 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
537 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
538 ($(am__cd) $$subdir && \
e96a0ec2 539 $(MAKE) $(AM_MAKEFLAGS) \
d5f1e565
DB
540 top_distdir="$$new_top_distdir" \
541 distdir="$$new_distdir" \
e96a0ec2
DB
542 am__remove_distdir=: \
543 am__skip_length_check=: \
d5f1e565 544 am__skip_mode_fix=: \
e96a0ec2
DB
545 distdir) \
546 || exit 1; \
547 fi; \
548 done
d5f1e565 549 -test -n "$(am__skip_mode_fix)" \
e70c902e
DB
550 || find "$(distdir)" -type d ! -perm -755 \
551 -exec chmod u+rwx,go+rx {} \; -o \
e96a0ec2
DB
552 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
553 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
554 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
d5f1e565 555 || chmod -R a+r "$(distdir)"
e96a0ec2
DB
556dist-gzip: distdir
557 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
d08e9a0e 558 $(am__post_remove_distdir)
e96a0ec2
DB
559
560dist-bzip2: distdir
d08e9a0e
AG
561 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
562 $(am__post_remove_distdir)
e96a0ec2 563
d08e9a0e
AG
564dist-lzip: distdir
565 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
566 $(am__post_remove_distdir)
d5f1e565 567dist-xz: distdir
d08e9a0e
AG
568 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
569 $(am__post_remove_distdir)
d5f1e565 570
e96a0ec2 571dist-tarZ: distdir
5723eb8f
AG
572 @echo WARNING: "Support for distribution archives compressed with" \
573 "legacy program 'compress' is deprecated." >&2
d08e9a0e 574 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
e96a0ec2 575 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
d08e9a0e 576 $(am__post_remove_distdir)
e96a0ec2
DB
577
578dist-shar: distdir
5723eb8f
AG
579 @echo WARNING: "Support for shar distribution archives is" \
580 "deprecated." >&2
d08e9a0e 581 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
e96a0ec2 582 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
d08e9a0e 583 $(am__post_remove_distdir)
e96a0ec2
DB
584
585dist-zip: distdir
586 -rm -f $(distdir).zip
587 zip -rq $(distdir).zip $(distdir)
d08e9a0e 588 $(am__post_remove_distdir)
e96a0ec2 589
d08e9a0e
AG
590dist dist-all:
591 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
592 $(am__post_remove_distdir)
e96a0ec2
DB
593
594# This target untars the dist file and tries a VPATH configuration. Then
595# it guarantees that the distribution is self-contained by making another
596# tarfile.
597distcheck: dist
598 case '$(DIST_ARCHIVES)' in \
599 *.tar.gz*) \
e70c902e 600 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
e96a0ec2 601 *.tar.bz2*) \
e70c902e 602 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
d08e9a0e
AG
603 *.tar.lz*) \
604 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
d5f1e565
DB
605 *.tar.xz*) \
606 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
e96a0ec2
DB
607 *.tar.Z*) \
608 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
609 *.shar.gz*) \
e70c902e 610 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
e96a0ec2
DB
611 *.zip*) \
612 unzip $(distdir).zip ;;\
613 esac
d08e9a0e
AG
614 chmod -R a-w $(distdir)
615 chmod u+w $(distdir)
5723eb8f 616 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
e96a0ec2 617 chmod a-w $(distdir)
d5f1e565 618 test -d $(distdir)/_build || exit 0; \
e96a0ec2
DB
619 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
620 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
d5f1e565 621 && am__cwd=`pwd` \
5723eb8f
AG
622 && $(am__cd) $(distdir)/_build/sub \
623 && ../../configure \
d08e9a0e 624 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
e96a0ec2 625 $(DISTCHECK_CONFIGURE_FLAGS) \
5723eb8f 626 --srcdir=../.. --prefix="$$dc_install_base" \
e96a0ec2
DB
627 && $(MAKE) $(AM_MAKEFLAGS) \
628 && $(MAKE) $(AM_MAKEFLAGS) dvi \
629 && $(MAKE) $(AM_MAKEFLAGS) check \
630 && $(MAKE) $(AM_MAKEFLAGS) install \
631 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
632 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
633 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
634 distuninstallcheck \
635 && chmod -R a-w "$$dc_install_base" \
636 && ({ \
637 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
638 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
639 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
640 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
641 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
642 } || { rm -rf "$$dc_destdir"; exit 1; }) \
643 && rm -rf "$$dc_destdir" \
644 && $(MAKE) $(AM_MAKEFLAGS) dist \
645 && rm -rf $(DIST_ARCHIVES) \
d5f1e565
DB
646 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
647 && cd "$$am__cwd" \
648 || exit 1
d08e9a0e 649 $(am__post_remove_distdir)
e96a0ec2
DB
650 @(echo "$(distdir) archives ready for distribution: "; \
651 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
652 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
653distuninstallcheck:
d08e9a0e
AG
654 @test -n '$(distuninstallcheck_dir)' || { \
655 echo 'ERROR: trying to run $@ with an empty' \
656 '$$(distuninstallcheck_dir)' >&2; \
657 exit 1; \
658 }; \
659 $(am__cd) '$(distuninstallcheck_dir)' || { \
660 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
661 exit 1; \
662 }; \
663 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
e96a0ec2
DB
664 || { echo "ERROR: files left after uninstall:" ; \
665 if test -n "$(DESTDIR)"; then \
666 echo " (check DESTDIR support)"; \
667 fi ; \
668 $(distuninstallcheck_listfiles) ; \
669 exit 1; } >&2
670distcleancheck: distclean
671 @if test '$(srcdir)' = . ; then \
672 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
673 exit 1 ; \
674 fi
675 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
676 || { echo "ERROR: files left in build directory after distclean:" ; \
677 $(distcleancheck_listfiles) ; \
678 exit 1; } >&2
679check-am: all-am
680check: check-recursive
cdce278f 681all-am: Makefile config.h
e96a0ec2
DB
682installdirs: installdirs-recursive
683installdirs-am:
e96a0ec2
DB
684install: install-recursive
685install-exec: install-exec-recursive
686install-data: install-data-recursive
687uninstall: uninstall-recursive
688
689install-am: all-am
690 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
691
692installcheck: installcheck-recursive
693install-strip:
d08e9a0e
AG
694 if test -z '$(STRIP)'; then \
695 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
696 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
697 install; \
698 else \
699 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
700 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
701 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
702 fi
e96a0ec2
DB
703mostlyclean-generic:
704
705clean-generic:
706
707distclean-generic:
708 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
d5f1e565 709 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
e96a0ec2
DB
710
711maintainer-clean-generic:
712 @echo "This command is intended for maintainers to use"
713 @echo "it deletes files that may require special tools to rebuild."
714clean: clean-recursive
715
716clean-am: clean-generic mostlyclean-am
717
718distclean: distclean-recursive
719 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
720 -rm -f Makefile
721distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
722
723dvi: dvi-recursive
724
725dvi-am:
726
727html: html-recursive
728
d5f1e565
DB
729html-am:
730
e96a0ec2
DB
731info: info-recursive
732
733info-am:
734
cdce278f 735install-data-am:
e96a0ec2
DB
736
737install-dvi: install-dvi-recursive
738
d5f1e565
DB
739install-dvi-am:
740
e96a0ec2
DB
741install-exec-am:
742
743install-html: install-html-recursive
744
d5f1e565
DB
745install-html-am:
746
e96a0ec2
DB
747install-info: install-info-recursive
748
d5f1e565
DB
749install-info-am:
750
e96a0ec2
DB
751install-man:
752
753install-pdf: install-pdf-recursive
754
d5f1e565
DB
755install-pdf-am:
756
e96a0ec2
DB
757install-ps: install-ps-recursive
758
d5f1e565
DB
759install-ps-am:
760
e96a0ec2
DB
761installcheck-am:
762
763maintainer-clean: maintainer-clean-recursive
764 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
765 -rm -rf $(top_srcdir)/autom4te.cache
766 -rm -f Makefile
767maintainer-clean-am: distclean-am maintainer-clean-generic
768
769mostlyclean: mostlyclean-recursive
770
771mostlyclean-am: mostlyclean-generic
772
773pdf: pdf-recursive
774
775pdf-am:
776
777ps: ps-recursive
778
779ps-am:
780
cdce278f 781uninstall-am:
e96a0ec2 782
d08e9a0e
AG
783.MAKE: $(am__recursive_targets) all install-am install-strip
784
785.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
786 am--refresh check check-am clean clean-cscope clean-generic \
787 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
788 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
789 distcheck distclean distclean-generic distclean-hdr \
790 distclean-tags distcleancheck distdir distuninstallcheck dvi \
791 dvi-am html html-am info info-am install install-am \
cdce278f
AG
792 install-data install-data-am install-dvi install-dvi-am \
793 install-exec install-exec-am install-html install-html-am \
794 install-info install-info-am install-man install-pdf \
795 install-pdf-am install-ps install-ps-am install-strip \
796 installcheck installcheck-am installdirs installdirs-am \
797 maintainer-clean maintainer-clean-generic mostlyclean \
798 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
799 uninstall-am
800
5723eb8f
AG
801.PRECIOUS: Makefile
802
e96a0ec2
DB
803
804# Tell versions [3.59,3.63) of GNU make to not export all variables.
805# Otherwise a system limit (for SysV at least) may be exceeded.
806.NOEXPORT: